// DIX - Disparity Index
// www.genetics.org/cgi/content/full/158/3/1321
// www.forexrealm.com/technical-analysis/technical-indicators/disparity-index.html
// www.babypips.com/forexpedia/Disparity_Index
// codebase.mql4.com/725
// www.vtsystems.com/resources/helps/0000/HTML_VTtrader_Help_Manual/index.html?ti_disparityindex.html


function init() 
{ 
with (DIX) { 
     createBuffer("DIX");                        
     setBufferColor("DIX", "#00FF00");           
     setBufferDrawStyle("DIX", DrawStyle.LINE);  
     setAutoChangeMaxMin("DIX");                 

     addLevel(0, "#1FFF00"); 
  
     createParameter("Period", 20); 

  } 
} 

  
function start() 
{ 
  var period = DIX.parameter("Period");
  DIX.label = "DIX (" + period + ")";   

  var num = Shared.numberOfQuotes();   
  var DIXbuf = new Array(num);         

  var CloseBuf = Shared.close();
  var EmaBuf = Shared.ema( period, Shared.close());  

    for (var i = 0; i < num; ++i)  { 
     DIXbuf[i] = 100 * (( CloseBuf[i] - EmaBuf[i]) / EmaBuf[i] );
     }

   DIX.setBufferData("DIX", DIXbuf); 
} 